Permalink
Switch branches/tags
Find file
Fetching contributors…
Cannot retrieve contributors at this time
427 lines (422 sloc) 10.4 KB
GIT
remote: https://github.com/alphagov/airbrake.git
revision: fe881d667ac55b592588e474c4ba3a44ced50a01
branch: silence-dep-warnings-for-rails-5
specs:
airbrake (4.3.8)
builder
multi_json
rails (>= 5.0)
GEM
remote: https://rubygems.org/
specs:
PriorityQueue (0.1.2)
actioncable (5.0.2)
actionpack (= 5.0.2)
nio4r (>= 1.2, < 3.0)
websocket-driver (~> 0.6.1)
actionmailer (5.0.2)
actionpack (= 5.0.2)
actionview (= 5.0.2)
activejob (= 5.0.2)
mail (~> 2.5, >= 2.5.4)
rails-dom-testing (~> 2.0)
actionpack (5.0.2)
actionview (= 5.0.2)
activesupport (= 5.0.2)
rack (~> 2.0)
rack-test (~> 0.6.3)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.2)
actionview (5.0.2)
activesupport (= 5.0.2)
builder (~> 3.1)
erubis (~> 2.7.0)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.3)
activejob (5.0.2)
activesupport (= 5.0.2)
globalid (>= 0.3.6)
activemodel (5.0.2)
activesupport (= 5.0.2)
activerecord (5.0.2)
activemodel (= 5.0.2)
activesupport (= 5.0.2)
arel (~> 7.0)
activesupport (5.0.2)
concurrent-ruby (~> 1.0, >= 1.0.2)
i18n (~> 0.7)
minitest (~> 5.1)
tzinfo (~> 1.1)
addressable (2.3.8)
arel (7.1.4)
ast (2.3.0)
astrolabe (1.3.1)
parser (~> 2.2)
autoprefixer-rails (7.0.1)
execjs
bindex (0.5.0)
bootstrap-kaminari-views (0.0.5)
kaminari (>= 0.13)
rails (>= 3.1)
bootstrap-sass (3.3.5.1)
autoprefixer-rails (>= 5.0.0.1)
sass (>= 3.3.0)
builder (3.2.3)
byebug (9.0.6)
cancancan (1.16.0)
capybara (2.14.0)
addressable
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
xpath (~> 2.0)
ci_reporter (2.0.0)
builder (>= 2.1.2)
ci_reporter_rspec (1.0.0)
ci_reporter (~> 2.0)
rspec (>= 2.14, < 4)
coderay (1.1.1)
concurrent-ruby (1.0.5)
connection_pool (2.2.1)
crack (0.4.2)
safe_yaml (~> 1.0.0)
diff-lcs (1.2.5)
domain_name (0.5.20170404)
unf (>= 0.0.5, < 1.0.0)
erubis (2.7.0)
execjs (2.7.0)
factory_girl (4.5.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.5.0)
factory_girl (~> 4.5.0)
railties (>= 3.0.0)
faraday (0.11.0)
multipart-post (>= 1.2, < 3)
ffi (1.9.18)
formtastic (3.1.5)
actionpack (>= 3.2.13)
formtastic-bootstrap (3.1.1)
formtastic (>= 3.0)
gds-api-adapters (36.1.0)
link_header
lrucache (~> 0.1.1)
null_logger
plek (>= 1.9.0)
rack-cache
rest-client (~> 2.0)
gds-sso (13.2.0)
multi_json (~> 1.0)
oauth2 (~> 1.0)
omniauth (~> 1.2)
omniauth-gds (~> 3.2)
rails (>= 4.2.4)
warden (~> 1.2)
warden-oauth2 (~> 0.0.1)
gds_zendesk (2.4.0)
null_logger (= 0.0.1)
zendesk_api (= 1.14.4)
globalid (0.4.0)
activesupport (>= 4.2.0)
govuk-lint (0.5.3)
rubocop (~> 0.35.0)
govuk_admin_template (4.4.2)
bootstrap-sass (= 3.3.5.1)
jquery-rails (~> 4.1.1)
rails (>= 3.2.0)
govuk_sidekiq (1.0.3)
airbrake (>= 3.1.0)
gds-api-adapters (>= 19.1.0)
redis-namespace (~> 1.5.2)
sidekiq (~> 4.2.8)
sidekiq-logging-json (~> 0.0)
sidekiq-statsd (~> 0.1)
gretel (3.0.9)
rails (>= 3.1.0)
hashie (3.5.5)
http-cookie (1.0.3)
domain_name (~> 0.5)
i18n (0.8.1)
inflection (1.0.0)
jasmine (2.6.0)
jasmine-core (>= 2.6.0, < 3.0.0)
phantomjs
rack (>= 1.2.1)
rake
jasmine-core (2.6.1)
jc-validates_timeliness (3.1.1)
timeliness (~> 0.3.7)
jquery-rails (4.1.1)
rails-dom-testing (>= 1, < 3)
railties (>= 4.2.0)
thor (>= 0.14, < 2.0)
jquery-ui-rails (5.0.1)
railties (>= 3.2.16)
json (2.1.0)
jwt (1.5.6)
kaminari (0.17.0)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
kgio (2.9.3)
link_header (0.0.8)
listen (3.0.8)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
logstash-event (1.1.5)
logstasher (0.4.8)
logstash-event (~> 1.1.0)
loofah (2.0.3)
nokogiri (>= 1.5.9)
lrucache (0.1.4)
PriorityQueue (~> 0.1.2)
mail (2.6.5)
mime-types (>= 1.16, < 4)
method_source (0.8.2)
mime-types (3.1)
mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521)
mini_portile2 (2.1.0)
minitest (5.10.2)
multi_json (1.12.1)
multi_xml (0.6.0)
multipart-post (2.0.0)
netrc (0.11.0)
nio4r (2.0.0)
nokogiri (1.7.2)
mini_portile2 (~> 2.1.0)
null_logger (0.0.1)
oauth2 (1.3.1)
faraday (>= 0.8, < 0.12)
jwt (~> 1.0)
multi_json (~> 1.3)
multi_xml (~> 0.5)
rack (>= 1.2, < 3)
omniauth (1.6.1)
hashie (>= 3.4.6, < 3.6.0)
rack (>= 1.6.2, < 3)
omniauth-gds (3.2.1)
multi_json (~> 1.10)
omniauth-oauth2 (= 1.3.1)
omniauth-oauth2 (1.3.1)
oauth2 (~> 1.0)
omniauth (~> 1.2)
parser (2.3.1.2)
ast (~> 2.2)
phantomjs (2.1.1.0)
plek (1.10.0)
powerpack (0.1.1)
pry (0.10.4)
coderay (~> 1.1.0)
method_source (~> 0.8.1)
slop (~> 3.4)
pry-byebug (3.4.2)
byebug (~> 9.0)
pry (~> 0.10)
rack (2.0.2)
rack-cache (1.7.0)
rack (>= 0.4)
rack-protection (2.0.0)
rack
rack-test (0.6.3)
rack (>= 1.0)
rails (5.0.2)
actioncable (= 5.0.2)
actionmailer (= 5.0.2)
actionpack (= 5.0.2)
actionview (= 5.0.2)
activejob (= 5.0.2)
activemodel (= 5.0.2)
activerecord (= 5.0.2)
activesupport (= 5.0.2)
bundler (>= 1.3.0, < 2.0)
railties (= 5.0.2)
sprockets-rails (>= 2.0.0)
rails-controller-testing (1.0.1)
actionpack (~> 5.x)
actionview (~> 5.x)
activesupport (~> 5.x)
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.0.3)
loofah (~> 2.0)
railties (5.0.2)
actionpack (= 5.0.2)
activesupport (= 5.0.2)
method_source
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rainbow (2.1.0)
raindrops (0.13.0)
rake (12.0.0)
rb-fsevent (0.9.8)
rb-inotify (0.9.8)
ffi (>= 0.5.0)
redis (3.2.1)
redis-namespace (1.5.3)
redis (~> 3.0, >= 3.0.4)
rest-client (2.0.2)
http-cookie (>= 1.0.2, < 2.0)
mime-types (>= 1.16, < 4.0)
netrc (~> 0.8)
rspec (3.5.0)
rspec-core (~> 3.5.0)
rspec-expectations (~> 3.5.0)
rspec-mocks (~> 3.5.0)
rspec-collection_matchers (1.1.2)
rspec-expectations (>= 2.99.0.beta1)
rspec-core (3.5.2)
rspec-support (~> 3.5.0)
rspec-expectations (3.5.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-its (1.2.0)
rspec-core (>= 3.0.0)
rspec-expectations (>= 3.0.0)
rspec-mocks (3.5.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-rails (3.5.1)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 3.5.0)
rspec-expectations (~> 3.5.0)
rspec-mocks (~> 3.5.0)
rspec-support (~> 3.5.0)
rspec-support (3.5.0)
rubocop (0.35.1)
astrolabe (~> 1.3)
parser (>= 2.2.3.0, < 3.0)
powerpack (~> 0.1)
rainbow (>= 1.99.1, < 3.0)
ruby-progressbar (~> 1.7)
tins (<= 1.6.0)
ruby-progressbar (1.8.1)
safe_yaml (1.0.4)
sass (3.4.23)
sass-rails (5.0.6)
railties (>= 4.0.0, < 6)
sass (~> 3.1)
sprockets (>= 2.8, < 4.0)
sprockets-rails (>= 2.0, < 4.0)
tilt (>= 1.1, < 3)
select2-rails (3.5.9.3)
thor (~> 0.14)
shoulda (3.5.0)
shoulda-context (~> 1.0, >= 1.0.1)
shoulda-matchers (>= 1.4.1, < 3.0)
shoulda-context (1.2.1)
shoulda-matchers (2.8.0)
activesupport (>= 3.0.0)
sidekiq (4.2.10)
concurrent-ruby (~> 1.0)
connection_pool (~> 2.2, >= 2.2.0)
rack-protection (>= 1.5.0)
redis (~> 3.2, >= 3.2.1)
sidekiq-logging-json (0.0.16)
sidekiq (>= 3, < 5)
sidekiq-statsd (0.1.5)
activesupport
sidekiq (>= 2.6)
statsd-ruby (>= 1.1.0)
slop (3.6.0)
spring (2.0.1)
activesupport (>= 4.2)
spring-watcher-listen (2.0.1)
listen (>= 2.7, < 4.0)
spring (>= 1.2, < 3.0)
sprockets (3.7.1)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-rails (3.2.0)
actionpack (>= 4.0)
activesupport (>= 4.0)
sprockets (>= 3.0.0)
statsd-ruby (1.2.1)
thor (0.19.4)
thread_safe (0.3.6)
tilt (2.0.7)
timecop (0.7.3)
timeliness (0.3.7)
tins (1.6.0)
tzinfo (1.2.3)
thread_safe (~> 0.1)
uglifier (2.7.1)
execjs (>= 0.3.0)
json (>= 1.8.0)
unf (0.1.4)
unf_ext
unf_ext (0.0.7.4)
unicorn (4.9.0)
kgio (~> 2.6)
rack
raindrops (~> 0.7)
warden (1.2.7)
rack (>= 1.0)
warden-oauth2 (0.0.1)
warden
web-console (3.5.0)
actionview (>= 5.0)
activemodel (>= 5.0)
bindex (>= 0.4.0)
railties (>= 5.0)
webmock (1.21.0)
addressable (>= 2.3.6)
crack (>= 0.3.2)
websocket-driver (0.6.5)
websocket-extensions (>= 0.1.0)
websocket-extensions (0.1.2)
xpath (2.0.0)
nokogiri (~> 1.3)
zendesk_api (1.14.4)
faraday (~> 0.9)
hashie (>= 3.5.2, < 4.0.0)
inflection
mime-types
multipart-post (~> 2.0)
PLATFORMS
ruby
DEPENDENCIES
airbrake!
bootstrap-kaminari-views (= 0.0.5)
cancancan (~> 1.16)
capybara (~> 2.6)
ci_reporter_rspec
factory_girl_rails (~> 4.5.0)
formtastic-bootstrap (= 3.1.1)
gds-api-adapters (= 36.1.0)
gds-sso (~> 13.0)
gds_zendesk (= 2.4.0)
govuk-lint
govuk_admin_template (= 4.4.2)
govuk_sidekiq (~> 1.0)
gretel (= 3.0.9)
jasmine (= 2.6.0)
jc-validates_timeliness (= 3.1.1)
jquery-ui-rails (= 5.0.1)
kaminari (~> 0.17.0)
listen (~> 3.0.5)
logstasher (= 0.4.8)
plek (= 1.10.0)
pry-byebug
rails (= 5.0.2)
rails-controller-testing
redis (= 3.2.1)
rspec-collection_matchers (~> 1.1.0)
rspec-its (~> 1.2.0)
rspec-rails (= 3.5.1)
sass-rails (= 5.0.6)
select2-rails (= 3.5.9.3)
shoulda (~> 3.5.0)
spring
spring-watcher-listen (~> 2.0.0)
statsd-ruby (= 1.2.1)
timecop (~> 0.7.1)
uglifier (= 2.7.1)
unicorn (= 4.9.0)
web-console (>= 3.3.0)
webmock (~> 1.21.0)
BUNDLED WITH
1.14.5